---
title: GOLDENEYE VR
subtitle: VR multiplayer retro classic remake
---

[![GEVR COVER](../../images/jeux/GEVRCover.jpg)](https://fr.wikipedia.org/wiki/GoldenEye_007)

### LE PRINCIPE

Le but est de se rapprocher un maximum de la version N64 mais en VR : restituer l'ambiance et les mécanismes de l'original mais en y étant. Un principe des plus simple :
transposer GoldenEye 64 en PC VR avec une compatibilité maximale (Oculus Rift(s), HTC Vive, Windows MR, etc...). 
Je développe sous Unity avec l'api Photon pour le multiplayer. Pour les mécaniques, c'est du pur script! Le projet est à vocation open source, 
destiné pour les fans de GoldenEye 64 et de VR, le but est de créer une communauté pour améliorer continuellement le jeu à la manière de GoldenEye Source.

---------------
### SCREENSHOTS

#### les maps

![GEVR CAPTURE 1](../../images/jeux/CaptureGEVR1.PNG)

![GEVR CAPTURE 2](../../images/jeux/CaptureGEVR2.PNG)

![GEVR CAPTURE 3](../../images/jeux/CaptureGevrArchives.PNG)

(Toutes les maps du jeu originales sont présentes bien entendu!)

#### les menus

![GEVR CAPTURE 4](../../images/jeux/CaptureGevrDiscord.PNG)

![GEVR CAPTURE 5](../../images/jeux/CaptureGevrMenu.PNG)

![GEVR CAPTURE 6](../../images/jeux/CapturePauseMenu.PNG)

![GEVR CAPTURE 7](../../images/jeux/CapturePauseMenu2.PNG)

---------------
### UPDATE 04/2020DES NEWS

Suite au contexte de confinement, j'ai pû replonger dans le projet pour y avançer quelque peu.
Voici les petits ajouts et une petite update de la road map:<br>
- Ajout de différents modèle de player (Connery, Brosnan et Craig)<br>
- Ajout du plug-in Steam VR<br>
- Ajout du plug-in Photon Voice qui gère le dialogue par voix dans le jeu<br>

![GEVR CAPTURE 8](../../images/jeux/CaptureGEVR5.JPG)

![GEVR CAPTURE 9](../../images/jeux/CaptureGEVR4.JPG)

![GEVR CAPTURE 10](../../images/jeux/CaptureGEVR6.JPG)

---------------
### LA ROAD MAP

La roadmap du projet est la suivante:<br>
* Implémenter la création de room personnalisée pour faire des parties privée entre amis.<br>
* Intégrer les différents modes de jeu (deathmatch, teammatch, capture the flag, the man with the golden gun, etc...)<br>
* Ajouter des options de comfort comme la vignette lors du déplacement, la TP, le remappage des boutons.<br>
* Et des features auxquels je n'ai pas encore pensé!